Shopware 4 Installing Ubuntu with Ant


For the installation of shop merchandise 4 under Ubuntu, only the following statement is required on the console, to install and configure via an Ant build Sciptes using Ant and git shop products.

Important: System requirements check-in,

  • PHP 5.3.2 or above
  • PHP ’ s cURL and GD Library
  • Apache web server
  • Apache ’ s mod_rewrite modules
  • MySQL 5.1.0 or above
sudo apt-get install git

sudo apt-get -u install ant

sudo apt-get install openjdk-6-jdk

sudo apt-get install curl

Here it comes to the installation instructions of shop merchandise 4

#in installation path
git clone https://github.com/ShopwareAG/shopware-4.git
cd shopware-4
chmod 755 config.php
chmod 755 -R cache
chmod 755 -R files
chmod 755 -R media
chmod 755 -R engine/Shopware/Plugins/Community
cd build/
ant configure
ant build-unit